Subject: Re: Low performance Intel 10GE NIC (3.2.10) on 2.6.38 Kernel

From: Peter Zijlstra <[email-masked]>
Date: Thu, 14 Apr 2011 18:56:42 +0200

On Thu, 2011-04-14 at 09:42 -0700, Alexander Duyck wrote:

> I'm doing some more digging into this now.  One thought that occurred to 
> me is that if the patch you mention is having some sort of effect this 
> could be a sign of perhaps a kernel timer or scheduling problem.

Right, so the removal of the NO_HZ throttle will allow the CPU to go
into C states more often, this could result in longer wake-up times for
IRQs.

We reverted because:
  - it caused significant battery drain due to not going into C states
    often enough, and
  - its a much better idea to implement these things in the idle
    governor since it already has the job of guestimating the idle
    duration.

I really can't remember back far enough to even come up with a theory of
why kernels prior to merging the NO_HZ throttle would not exhibit this
problem.